#include <bits/stdc++.h>
#define pb push_back
#define pf push_front
#define fi first
#define se second
#define maxn 1510
using namespace std;
typedef long long ll;

int n;
int x[maxn];
int y[maxn];
vector<pair<int,int>> v;

int main()
{
	ios::sync_with_stdio(0);
	cin.tie(0);
	cin >> n;
	ll res=0;
	for(int i=0; i<n; i++)
    {
        cin >> x[i] >> y[i];
    }
    for(int i=0; i<n; i++)
    {
        for(int j=0; j<n; j++)
        {
            if(i!=j) v.pb({x[i]-x[j],y[i]-y[j]});
        }
    }
    sort(v.begin(),v.end());
    for(int i=0; i<v.size(); i++)
    {
        pair<int,int> par={2*v[i].fi,2*v[i].se};
        auto p=lower_bound(v.begin(),v.end(),par);
        auto q=upper_bound(v.begin(),v.end(),par);
        res+=q-p;
    }
    cout << res/2 << "\n";
}